<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns="http://camitk.imag.fr/cepcoreschema"
            targetNamespace="http://camitk.imag.fr/cepcoreschema"
            elementFormDefault="qualified"
>
    
    <xsd:include schemaLocation="Contact.xsd"/>
    <xsd:include schemaLocation="ActionExtensions.xsd"/>
    <xsd:include schemaLocation="ViewerExtensions.xsd"/>
    <xsd:include schemaLocation="Applications.xsd"/>
    <xsd:include schemaLocation="ComponentExtensions.xsd"/>
    <xsd:include schemaLocation="Libraries.xsd"/>
  
    <xsd:element name="cep" type="Cep"/>
    <xsd:complexType name="Cep">
        <xsd:sequence>
            <xsd:element name="name"         type="xsd:string"/>
            <xsd:element name="contact"      type="Contact"/>
            <xsd:element name="description"  type="xsd:string"/>
            <xsd:element name="readme"       type="xsd:string" minOccurs="0"/>
            <xsd:element name="copyright"    type="xsd:string" minOccurs="0"/>
            
            <xsd:element name="actionExtensions"    type="ActionExtensions"    minOccurs="0"/>
            <xsd:element name="viewerExtensions"    type="ViewerExtensions"    minOccurs="0"/>
            <xsd:element name="applications"        type="Applications"        minOccurs="0"/> 
            <xsd:element name="componentExtensions" type="ComponentExtensions" minOccurs="0"/>
            <xsd:element name="libraries"           type="Libraries"           minOccurs="0"/> 
        </xsd:sequence>
    </xsd:complexType>
</xsd:schema>
